<?php

session_cache_limiter('nocache');
session_start();

if ($_SESSION['login']!="ok") {
	session_destroy();
	header('Location:login.php');
}

include_once("../config.php");
require_once("../function/get_data.php");
require_once("../function/stz_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$input = array_map("stz", $_POST);

if ($input['update']==1) {

	unset($input['update']);

	$sql = "BEGIN TRANSACTION;";
	$sql .= "UPDATE rm_config SET ";
	foreach ($input as $key=>$value) {
		$sql .= $key."=".$value.",";
	}
	$sql = rtrim($sql,",").';';
	$sql .= "COMMIT;";
	
	$chg = $conn->db->queryExec($sql, $error);

	if ($chg) {
		$result = "設定を更新しました。";
	} else {
		$result = "設定を更新できませんでした。";
	}

	include("result.php");
	exit();

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>登録設定</title>
<link href="styles_admin.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="menu">
<?php include ("menu.php") ?>
</div>

<div id="main">

<h3>登録設定</h3>

<p>サイトの登録に関する設定を行います。</p>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">
<input name="update" type="hidden" value="1" />
<table border="0" cellspacing="0" cellpadding="3" class="entry_tbl">
<caption>登録設定</caption>
<tr>
<td>自動承認</td>
<td>
<input name="auto_app" id="ap_1" type="radio" value="1"<?php echo $config['auto_app']==1? ' checked="checked"':"" ?> />
<label for="ap_1">する</label>
<input name="auto_app" id="ap_0" type="radio" value="0"<?php echo $config['auto_app']==0? ' checked="checked"':"" ?> />
<label for="ap_0">しない</label>
</td>
</tr>
<tr>
<td>スラッシュ[/]で終わっていないURLの登録許可</td>
<td>
<input name="entry_file" id="ef_1" type="radio" value="1"<?php echo $config['entry_file']==1? ' checked="checked"':"" ?> />
<label for="ef_1">する</label>
<input name="entry_file" id="ef_0" type="radio" value="0"<?php echo $config['entry_file']==0? ' checked="checked"':"" ?> />
<label for="ef_0">しない</label>
</td>
</tr>
<tr>
<td>最大登録カテゴリー数</td>
<td>
<select name="max_ctg" size="1">
<?php for ($i=1; $i<=10; $i++) { ?>
<option value="<?php echo $i ?>"<?php if ($i==$config['max_ctg']) {echo ' selected="selected"';} ?>><?php echo $i ?></option>
<?php } ?>
</select>
</td>
</tr>
<tr>
<td>最大登録キーワード数</td>
<td>
<select name="max_tag" size="1">
<?php for ($i=1; $i<=10; $i++) { ?>
<option value="<?php echo $i ?>"<?php if ($i==$config['max_tag']) {echo ' selected="selected"';} ?>><?php echo $i ?></option>
<?php } ?>
</select>
</td>
</tr>
<tr>
<td>サイト名の最大文字数</td>
<td><input name="max_title" type="text" value="<?php echo $config['max_title'] ?>" size="2" /></td>
</tr>
<tr>
<td>サイト説明文の最大文字数</td>
<td><input name="max_summary" type="text" value="<?php echo $config['max_summary'] ?>" size="2" /></td>
</tr>
<tr>
<td>コメントの最大文字数</td>
<td><input name="max_comment" type="text" value="<?php echo $config['max_comment'] ?>" size="2" /></td>
</tr>
<tr>
<td>フリーメールでの登録を拒否</td>
<td>
<input name="rjct_freeml" id="rf_1" type="radio" value="1"<?php echo $config['rjct_freeml']==1? ' checked="checked"':"" ?> />
<label for="rf_1">する</label>
<input name="rjct_freeml" id="rf_0" type="radio" value="0"<?php echo $config['rjct_freeml']==0? ' checked="checked"':"" ?> />
<label for="rf_0">しない</label>
</td>
</tr>
<tr>
<td>特定メールアドレスの登録を拒否</td>
<td>
<input name="rjct_mail" id="rm_1" type="radio" value="1"<?php echo $config['rjct_mail']==1? ' checked="checked"':"" ?> />
<label for="rm_1">する</label>
<input name="rjct_mail" id="rm_0" type="radio" value="0"<?php echo $config['rjct_mail']==0? ' checked="checked"':"" ?> />
<label for="rm_0">しない</label>
</td>
</tr>
<tr>
<td>特定ホストからのアクセスを拒否</td>
<td>
<input name="rjct_host" id="rh_1" type="radio" value="1"<?php echo $config['rjct_host']==1? ' checked="checked"':"" ?> />
<label for="rh_1">する</label>
<input name="rjct_host" id="rh_0" type="radio" value="0"<?php echo $config['rjct_host']==0? ' checked="checked"':"" ?> />
<label for="rh_0">しない</label>
</td>
</tr>
<tr>
<td>特定IPアドレスからの登録を拒否</td>
<td>
<input name="rjct_ip" id="ri_1" type="radio" value="1"<?php echo $config['rjct_ip']==1? ' checked="checked"':"" ?> />
<label for="ri_1">する</label>
<input name="rjct_ip" id="ri_0" type="radio" value="0"<?php echo $config['rjct_ip']==0? ' checked="checked"':"" ?> />
<label for="ri_0">しない</label>
</td>
</tr>
</table>
<br />

<input type="submit" value="データを更新する" />

</form>

</div>

</body>
</html>
