<?php

session_cache_limiter('nocache');
session_start();

if ($_SESSION['login']!="ok") {
	session_destroy();
	header('Location:login.php');
}

if (!preg_match("/^simple$|^detail$/", $_GET['em'])) {
	$error = "無効なパラメータが入力されました。";
	include("../parts/error.php");
	exit();
}

include_once("../config.php");
require_once("../function/get_data.php");
require_once("../function/get_order.php");
require_once("../function/send_mail.php");
require_once("../function/stz_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$mode = $_GET['em'];
$dsp = intval($_GET['d']);
$sort = intval($_GET['s']);
$page = intval($_GET['p']);

switch ($mode) {

	case "simple":
	$title = "シンプルモード";
	break;
	
	case "detail":
	$title = "詳細モード";
	break;

}

if (intval($_POST['update'])==1) {

	$entry = array_map("stz", $_POST['entry']);
	$app = @array_map("stz", $_POST['app']);
	$del = @array_map("stz", $_POST['del']);
	$date = time();

	if (@array_intersect($app,$del)) {
		$error = "処理が重複しているデータがあります。「登録（解除）」と「削除」を一緒に選択することはできません。";
		include("../parts/error.php");
		exit();
	}

	$conn->db->query("BEGIN TRANSACTION;");
	
	switch ($mode) {
	
		case "simple":
		foreach ($entry as $id) {
			$data = new stdClass;
			$data->title = $_POST[$id.'_title'];
			$data->url = $_POST[$id.'_url'];
			$data->cool = $_POST[$id.'_cool'];
			$data->link = $_POST[$id.'_link'];
			$sql = "
				UPDATE rm_entry SET 
				title='$data->title',
				url='$data->url',
				cool='$data->cool',
				link='$data->link',
				date_app='$date' 
				WHERE id='$id';
				";
			$conn->db->query($sql);
		}
		break;
		
		case "detail":
		foreach ($entry as $id) {
			$data = new stdClass;
			$data->title = $_POST[$id.'_title'];
			$data->url = $_POST[$id.'_url'];
			$data->cool = $_POST[$id.'_cool'];
			$data->tag = $_POST[$id.'_tag'];
			$data->link = $_POST[$id.'_link'];
			$data->summary = $_POST[$id.'_summary'];
			$data->ctg = serialize(array_unique($_POST[$id.'_ctg']));
			$sql = "
				UPDATE rm_entry SET 
				title='$data->title',
				url='$data->url',
				cool='$data->cool',
				tag='$data->tag',
				link='$data->link',
				summary='$data->summary',
				ctg='$data->ctg',
				date_app='$date' 
				WHERE id='$id';
				";
			$conn->db->query($sql);
		}
		break;
	
	}

	if (isset($app)) {
		foreach ($app as $id) {
			$sql ="UPDATE rm_entry SET app=1 WHERE id='$id';";
			$conn->db->query($sql);
			if ($conn->db->changes()==1) $regist++;
			
			//正式登録メール
			$sql ="SELECT * FROM rm_entry WHERE id='$id';";
			$res = $conn->db->query($sql);
			$data = $res->fetch();
			sendMail("reg", $config, $data);
		}
	}
	
	if ($regist>0) {
		$result = $regist.'件のサイトを登録しました。<br />';
	}

	if (isset($del)) {
		foreach ($del as $id) {
			$sql ="DELETE FROM rm_entry WHERE id='$id';";
			$conn->db->query($sql);
			if ($conn->db->changes()==1) $remove++;
		}
	}

	if ($remove>0) {
		$result .= $remove.'件のサイトを削除しました。<br />';
	}

	$conn->db->query("COMMIT;");
	
	//サイトマップ更新
	if (intval($_POST['map_rev']==1)) {

		require_once("../function/get_ctg.php");
		require_once("../function/make_sitemap.php");

		$id = strtok($config['site_ctg'],"|");
		
		$ctg_data = new ctgData($id,$aid,$config['cache']);
		
		if ($ctg_data->error) {
			$error = "カテゴリー情報を取得できませんでした。";
			include("../parts/error.php");
			exit();
		}

		$chg = mkSitemap($config, $ctg_data);

		if ($chg) {
			$result .= 'サイトマップを更新しました。';
		} else {
			$result .= 'サイトマップは更新できませんでした。';
		}
	}

}

switch ($sort) {

	case 1:
	$order = "date_ent ASC";
	break;
	
	case 2:
	$order = "date_ent DESC";
	break;

	default:
	$order = "date_ent ASC";

}

$sql = "SELECT * FROM rm_entry WHERE app='' ORDER BY $order;";
$res = $conn->db->arrayQuery($sql,SQLITE_ASSOC);

//サイト表示用データ
$count = count($res);
$total = ceil($count/$dsp);
$start = ($page-1)*$dsp;

//ページング用データ
$next = $page+1;
$back = $page-1;
$limit = 10;
$loop_start = ($page%$limit)==0 ? ($page-$limit)+1 : number_format(floor($page/$limit).'1');
$loop_end = ceil($page/$limit).'0';

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>登録処理｜<?php echo $title ?></title>
<link href="styles_admin.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="menu">
<?php include ("menu.php") ?>
</div>

<div id="main">

<h3>登録処理｜<?php echo $title ?></h3>

<p>サイトの登録処理を行います。</p>

<?php if (intval($_POST['update'])==1) echo "<p>$result</p>" ?>

<?php if (empty($res)) { ?>

<p>（対象のデータはありません）</p>

<?php } else { ?>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="get">
<input name="em" type="hidden" value="<?php echo $mode ?>" />
表示件数
<select name="d">
<option value="<?php echo $count ?>"<?php echo $dsp==$count? ' selected="selected"':'' ?>>すべて</option>
<option value="10"<?php echo $dsp==10? ' selected="selected"':'' ?>>10</option>
<option value="20"<?php echo $dsp==20? ' selected="selected"':'' ?>>20</option>
<option value="50"<?php echo $dsp==50? ' selected="selected"':'' ?>>50</option>
</select>
並び順
<select name="s">
<option value="1"<?php echo $sort==1? ' selected="selected"':'' ?>>登録日：古い順</option>
<option value="2"<?php echo $sort==2? ' selected="selected"':'' ?>>登録日：新しい順</option>
</select>
<input name="p" type="hidden" value="1" />
<input type="submit" value="切り替え" />
</form>

<form action="<?php echo $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'] ?>" method="post">
<input name="update" type="hidden" value="1" />

<?php
switch ($mode) {

	case "simple":
?>

<!--シンプル -->
<table border="0" cellspacing="0" cellpadding="3" class="entry_tbl">
<caption align="right">R=登録 C=COOL! L=相互リンク D=削除</caption>
<tr>
<th rowspan="2">ID</th>
<th>登録日</th>
<th>サイト名</th>
<th>URL</th>
<th>R</th>
<th>C</th>
<th>L</th>
<th>D</th>
</tr>
<tr>
<th colspan="7">説明</th>
</tr>
<?php
for ($i=$start; $i<$start+$dsp; $i++) {
	if ($i==$count) break;
?>
<input name="entry[]" type="hidden" value="<?php echo $res[$i]['id'] ?>" />
<tr>
<td rowspan="2" align="center"><?php echo $res[$i]['id'] ?></td>
<td nowrap="nowrap"><?php echo date("Y-m-d",$res[$i]['date_ent']) ?><br /><?php echo date("H:i:s",$res[$i]['date_ent']) ?></td>
<td><input name="<?php echo $res[$i]['id'] ?>_title" type="text" value="<?php echo $res[$i]['title'] ?>" /></td>
<td><input name="<?php echo $res[$i]['id'] ?>_url" type="text" value="<?php echo $res[$i]['url'] ?>" />
<a href="<?php echo $res[$i]['url'] ?>" target="_blank">確認</a></td>
<td align="center"><input name="app[]" type="checkbox" id="app_<?php echo $res[$i]['id'] ?>" value="<?php echo $res[$i]['id'] ?>" /></td>
<td align="center"><input name="<?php echo $res[$i]['id'] ?>_cool" id="cl_<?php echo $res[$i]['id'] ?>" type="checkbox" value="1" <?php if ($res[$i]['cool']==1) echo 'checked="checked"' ?> /></td>
<td align="center"><?php if ($res[$i]['link']==1) { ?>
<input name="<?php echo $res[$i]['id'] ?>_link" type="checkbox" value="1" checked="checked" />
<label for="ly_<?php echo $res[$i]['id'] ?>"><a href="<?php echo $res[$i]['link_url'] ?>" target="_blank">URL</a></label>
<?php } else { ?><input type="checkbox" disabled /><?php } ?></td>
<td align="center" bgcolor="#FFCCFF"><input name="del[]" id="del_<?php echo $res[$i]['id'] ?>" type="checkbox" value="<?php echo $res[$i]['id'] ?>" /></td>
</tr>
<tr>
<td colspan="7"><?php echo $res[$i]['summary'] ?></td>
</tr>
<?php } ?>
</table>
<br />
<!--/シンプル -->

<?php
	break;
	
	case "detail":
?>

<!--詳細 -->
<?php
for ($i=$start; $i<$start+$dsp; $i++) {
	if ($i==$count) break;
?>
<input name="entry[]" type="hidden" value="<?php echo $res[$i]['id'] ?>" />
<div class="entry">
<input name="app[]" type="checkbox" id="app_<?php echo $res[$i]['id'] ?>" value="<?php echo $res[$i]['id'] ?>" />
<label for="app_<?php echo $res[$i]['id'] ?>">登録</label>
<input name="del[]" id="del_<?php echo $res[$i]['id'] ?>" type="checkbox" value="<?php echo $res[$i]['id'] ?>" />
<label for="del_<?php echo $res[$i]['id'] ?>">削除</label>
<table border="0" cellspacing="0" cellpadding="3" class="entry_tbl">
<tr>
<td align="center" nowrap="nowrap">ID</td>
<td><?php echo $res[$i]['id'] ?></td>
</tr>
<tr>
<td align="center" nowrap="nowrap">サイト名</td>
<td><input name="<?php echo $res[$i]['id'] ?>_title" type="text" value="<?php echo $res[$i]['title'] ?>" size="30" /></td>
</tr>
<tr>
<td align="center" nowrap="nowrap">URL</td>
<td><input name="<?php echo $res[$i]['id'] ?>_url" type="text" value="<?php echo $res[$i]['url'] ?>" size="50" />
<a href="<?php echo $res[$i]['url'] ?>" target="_blank">確認</a>
<input name="<?php echo $res[$i]['id'] ?>_cool" id="cl_<?php echo $res[$i]['id'] ?>" type="checkbox" value="1" <?php if ($res[$i]['cool']==1) {echo  'checked="checked"';} ?> />
<label for="cl_<?php echo $res[$i]['id'] ?>">COOL!</label></td>
</tr>
<tr>
<td align="center" nowrap="nowrap">キーワード</td>
<td><input name="<?php echo $res[$i]['id'] ?>_tag" type="text" value="<?php echo $res[$i]['tag'] ?>" size="30" /></td>
</tr>
<tr>
<td align="center" nowrap="nowrap">カテゴリー</td>
<td>
<ol>
<?php
$ctg = unserialize($res[$i]['ctg']);
for ($is=0; $is<$config['max_ctg']; $is++) {
	if ($ctg[$is]!="") {
		$ctg_path = explode("|",$ctg[$is]);
?>
<li><?php echo str_replace(",", "&nbsp;&gt;&nbsp;", $ctg_path[1]) ?><br />
<a href="../view_category.php?id=<?php echo $ctg_path[0] ?>" target="_blank">修正</a>
<input name="<?php echo $res[$i]['id'] ?>_ctg[]" type="text" size="50" value="<?php echo $ctg[$is] ?>" />
</li>
<?php } else { ?>
<li>
<a href="../view_category.php?id=<?php echo strtok($config['site_ctg'],"|") ?>" target="_blank">追加</a>
<input name="<?php echo $res[$i]['id'] ?>_ctg[]" type="text" size="50" /></li>
<?php } ?>
<?php } ?>
</ol>
<!--
<ol>
<?php
$ctg = unserialize($res[$i]['ctg']);
foreach ($ctg as $temp) {
	$ctg_path = explode("|",$temp);
?>
<li><?php echo str_replace(",", "&nbsp;&gt;&nbsp;", $ctg_path[1]) ?><br />
<a href="../view_category.php?id=<?php echo $ctg_path[0] ?>" target="_blank">修正</a>
<input name="<?php echo $res[$i]['id'] ?>_ctg[]" type="text" value="<?php echo $temp ?>" size="50" />
</li>
<?php } ?>
</ol>
-->
</td>
</tr>
<tr>
<td align="center" nowrap="nowrap">相互リンク</td>
<td>
<?php if ($res[$i]['link']==1) { ?>
希望する
<a href="<?php echo $res[$i]['link_url'] ?>" target="_blank"><?php echo $res[$i]['link_url'] ?></a>
<input name="<?php echo $res[$i]['id'] ?>_link" id="ly_<?php echo $res[$i]['id'] ?>" type="radio" value="1" checked="checked" />
<label for="ly_<?php echo $res[$i]['id'] ?>">OK</label>
<input name="<?php echo $res[$i]['id'] ?>_link" id="ln_<?php echo $res[$i]['id'] ?>" type="radio" value="" />
<label for="ln_<?php echo $res[$i]['id'] ?>">NO</label>
<?php } else { ?>
希望しない
<?php } ?>
</td>
</tr>
<tr>
<td align="center" nowrap="nowrap">説明</td>
<td><textarea name="<?php echo $res[$i]['id'] ?>_summary" cols="50" rows="3"><?php echo $res[$i]['summary'] ?></textarea></td>
</tr>
</table>
<br />

<fieldset>
<legend>登録者：<?php echo $res[$i]['name'] ?></legend>
<?php echo date("Y-m-d D H:i:s", $res[$i]['date_ent']) ?><br />
<?php echo $res[$i]['mail'] ?><br />
コメント：<?php echo $res[$i]['comment'] ?><br />
<?php echo $res[$i]['ip'] ?><br />
<?php echo $res[$i]['host'] ?><br />
<?php echo $res[$i]['agt'] ?>
</fieldset>

</div>

<?php } ?>

<!--/詳細 -->

<?php
	break;

}
?>

<input type="submit" value="データを更新する" />
<input name="map_rev" type="checkbox" value="1" checked="checked" />サイトマップの更新
</form>

<?php
//ページング
$str = "%s?em=$mode&d=%d&s=%d&p=%d";
$param = $dsp;
include("../parts/disp_paging.php");
?>

<?php } ?>

</div>

</body>
</html>
