<?php

session_cache_limiter('nocache');
session_start();

if ($_SESSION['login']!="ok") {
	session_destroy();
	header('Location:login.php');
}

include_once("../config.php");
require_once("../function/get_data.php");
require_once("../function/send_mail.php");
require_once("../function/stz_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

if (intval($_POST['update'])==1) {

	$myinfo = array_map("stz", $_POST);

	$id = $myinfo['id'];
	$old_pwd = md5($myinfo['old_pwd']);

	$sql = "SELECT * FROM rm_admin;";
	$res = $conn->db->query($sql);
	$login = $res->fetch();

	//ログインチェック
	if ($id!=$login['id'] OR $old_pwd!=$login['pwd']) {	
		$error = "IDまたは現在のパスワードが違います。";
		include("../parts/error.php");
		session_destroy();
		exit();	
	}

	//新パスワードチェック
	if (!preg_match("/^[a-zA-Z0-9_@=#\*\$\-\+\?\[\]]{8,}$/", $myinfo['new_pwd'])) {
		$error = "新しいパスワードの形式に誤りがあります。";
		include("../parts/error.php");
		exit();
	} elseif (strcasecmp("password", $pwd)==0) {
		$error = "大文字・小文字を問わず、パスワードに「PASSWORD」を使うことはできません。";
		include("../parts/error.php");
		exit();
	} else {
		$new_pwd = md5($myinfo['new_pwd']);
	}

	$sql = "
		BEGIN TRANSACTION;
		UPDATE rm_admin SET pwd='$new_pwd';
		COMMIT;"
	;
	
	$chg = $conn->db->queryExec($sql, $error);

	if ($chg) {

		$result = "パスワードを変更しました。";

		//確認メール送信

		$data['ip'] = $_SERVER['REMOTE_ADDR'];
		$data['host'] = gethostbyaddr($_SERVER['REMOTE_ADDR']);
		$data['agent'] = $_SERVER['HTTP_USER_AGENT'];
		$data['mail'] = $config['site_mail'];
		sendMail("pwd", $config, $data);

	} else {
		$result = "パスワードを変更できませんでした。";
	}

	include("result.php");
	exit();

}

$sql = "SELECT * FROM rm_admin;";
$res = $conn->db->query($sql);
$item = $res->fetch();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>パスワードの変更</title>
<link href="styles_admin.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="menu">
<?php include ("menu.php") ?>
</div>

<div id="main">

<h3>パスワードの変更</h3>

<p>管理者メニューにログインするためのパスワードの変更を行います。</p>

<ul>
<li>8文字以上で設定してください。</li>
<li>使用できる文字は半角英数字と下記の記号です。</li>
<li>_ @ = # * $ - + ? [ ]</li>
</ul>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">
<input name="update" type="hidden" value="1" />
<table border="0" cellspacing="0" cellpadding="3" class="entry_tbl">
<caption>パスワードの変更</caption>
<tr>
<td align="center">ID</td>
<td><input name="id" type="text" /></td>
</tr>
<tr>
<td align="center">現在のパスワード</td>
<td><input name="old_pwd" type="password" /></td>
</tr>
<tr>
<td align="center">新しいパスワード</td>
<td><input name="new_pwd" type="password" /></td>
</tr>
</table>
<br />
<input type="submit" value="パスワードを変更する" />
</form>

</div>

</body>
</html>
