<?php

session_cache_limiter('nocache');
session_start();

if ($_SESSION['login']!="ok") {
	session_destroy();
	header('Location:login.php');
}

include_once("../config.php");
require_once("../function/get_data.php");
require_once("../function/stz_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$input = array_map("stz", $_POST);

if ($input['update']==1) {

	$sql = "
		BEGIN TRANSACTION;
		UPDATE rm_config SET 
		site_name='$input[title]',
		site_url='$input[url]',
		site_ctg='$input[ctg]',
		site_mail='$input[mail]',
		cache='$input[cache]',
		max_dsp='$input[max_dsp]',
		entry_notice='$input[notice]',
		dsp_order='$input[dsp_order]',
		dsp_ys='$input[dsp_ys]';
		COMMIT;
		";

	$chg = $conn->db->queryExec($sql, $error);
	
	if ($chg) {
		$result = "設定を更新しました。";
	} else {
		$result = "設定を更新できませんでした。";
	}

	include("result.php");
	exit();

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>サイト設定</title>
<link href="styles_admin.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="menu">
<?php include ("menu.php") ?>
</div>

<div id="main">

<h3>サイト設定</h3>

<p>サイトに関する設定を行います。</p>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">
<input name="update" type="hidden" value="1" />
<table border="0" cellspacing="0" cellpadding="3" class="entry_tbl">
<caption>サイト設定</caption>
<tr>
<td align="center">サイト名</td>
<td><input name="title" type="text" value="<?php echo $config['site_name'] ?>" size="30" /></td>
</tr>
<tr>
<td align="center">URL</td>
<td>http://<input name="url" type="text" value="<?php echo $config['site_url'] ?>" size="30" /></td>
</tr>
<tr>
<td align="center">デフォルトカテゴリー</td>
<td>
<?php $ctg = explode("|",$config['site_ctg']) ?>
<?php echo str_replace(",","&nbsp;&gt;&nbsp;",$ctg[1]) ?><br />
<input name="ctg" type="text" value="<?php echo $config['site_ctg'] ?>" size="50" />
<a href="../view_category.php?id=<?php echo $ctg[0] ?>" target="_blank">変更</a>
</td>
</tr>
<tr>
<td align="center">メールアドレス</td>
<td><input name="mail" type="text" value="<?php echo $config['site_mail'] ?>" size="30" /></td>
</tr>
<tr>
<td align="center">1ページに表示するサイトの数</td>
<td><input name="max_dsp" type="text" value="<?php echo $config['max_dsp'] ?>" size="2" /></td>
</tr>
<tr>
<td align="center">登録サイトの表示順序</td>
<td>
<select name="dsp_order">
<option value="1"<?php echo $config['dsp_order']==1? ' selected="selected"':'' ?>>ID順</option>
<option value="2"<?php echo $config['dsp_order']==2? ' selected="selected"':'' ?>>COOLサイト優先</option>
<option value="3"<?php echo $config['dsp_order']==3? ' selected="selected"':'' ?>>相互リンクサイト優先</option>
<option value="4"<?php echo $config['dsp_order']==4? ' selected="selected"':'' ?>>登録日：新しい順</option>
<option value="5"<?php echo $config['dsp_order']==5? ' selected="selected"':'' ?>>登録日：古い順</option>
<option value="6"<?php echo $config['dsp_order']==6? ' selected="selected"':'' ?>>サイト名：昇順</option>
<option value="7"<?php echo $config['dsp_order']==7? ' selected="selected"':'' ?>>サイト名：降順</option>
<option value="8"<?php echo $config['dsp_order']==8? ' selected="selected"':'' ?>>URL：昇順</option>
<option value="9"<?php echo $config['dsp_order']==9? ' selected="selected"':'' ?>>URL：降順</option>
</select>
</td>
</tr>
<tr>
<td align="center">カテゴリーデータの保存*</td>
<td>
<input name="cache" id="ch_1" type="radio" value="1"<?php echo $config['cache']==1? ' checked="checked"':"" ?> />
<label for="ch_1">する</label>
<input name="cache" id="ch_0" type="radio" value="0"<?php echo $config['cache']==0? ' checked="checked"':"" ?> />
<label for="ch_0">しない</label>
</td>
</tr>
<tr>
<td align="center">新規エントリーのメール通知</td>
<td>
<input name="notice" id="nt_1" type="radio" value="1"<?php echo $config['entry_notice']==1? ' checked="checked"':"" ?> />
<label for="nt_1">する</label>
<input name="notice" id="nt_0" type="radio" value="0"<?php echo $config['entry_notice']==0? ' checked="checked"':"" ?> />
<label for="nt_0">しない</label>
</td>
</tr>
<tr>
<td align="center">Yahoo!登録サイトの表示</td>
<td>
<input name="dsp_ys" id="yd_1" type="radio" value="1"<?php echo $config['dsp_ys']==1? ' checked="checked"':"" ?> />
<label for="yd_1">する</label>
<input name="dsp_ys" id="yd_0" type="radio" value="0"<?php echo $config['dsp_ys']==0? ' checked="checked"':"" ?> />
<label for="yd_0">しない</label>
</td>
</tr>
</table>
<br />
<input type="submit" value="データを更新する" />
</form>

<p>*<a href="view_xml.php?s=name&t=a">カテゴリーデータ</a>はYahoo!から取得するXMLデータです。
保存するとページの表示速度は速くなりますが、ディスクスペースを消費します。
保存しなければディスクスペースは減りませんが、毎回Yahoo!に接続してデータを取得するため、ページの表示は若干遅くなります。</p>

</div>

</body>
</html>
