<?php

session_cache_limiter('nocache');
session_start();

if ($_SESSION['login']!="ok") {
	session_destroy();
	header('Location:login.php');
}

if (!preg_match("/^name$|^mtime$|^atime$|^size$/", $_GET['s']) OR (!preg_match("/^a$|^d$/", $_GET['t']))) {
	$error = "無効なパラメータが入力されました。";
	include("../parts/error.php");
	exit();
}

include_once("../config.php");
require_once("../function/get_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

clearstatcache();

$page = intval($_GET['p']);
$sort = $_GET['s'];
$type = $_GET['t'];

switch ($type) {
	case "a":
	$sign = "<";
	break;
	case "d";
	$sign = ">";
	break;
}

$dir = "ctg_data";

if (intval($_POST['del'])==1) {
	foreach ($_POST['delfiles'] as $file) {
		unlink("../$dir/".$file);
	}
}

$files = scandir("../$dir/");

//対象ファイルを配列に＆サイズ、ファイル数取得
$xml = array();
foreach ($files as $db) {
	$db_stac = array($db, stat("../$dir/".$db));
	if (preg_match("/\.xml$/", $db)) {
		array_push($xml, $db_stac);
		$size += filesize("../$dir/".$db);
		$num++;
	}
}

//ソート
if ($sort=="name") {
	usort($xml, create_function('$a,$b', 'return ($a[0]'.$sign.'$b[0]) ? -1 : 1;'));
} else {
	usort($xml, create_function('$a,$b', 'return ($a[1][\''.$sort.'\']'.$sign.'$b[1][\''.$sort.'\']) ? -1 : 1;'));
}

//ファイル表示用データ
$dsp = 50;
$count = count($xml);
$total = ceil($count/$dsp);
$start = ($page-1)*$dsp;

//ページング用データ
$next = $page+1;
$back = $page-1;
$limit = 10;
$loop_start = ($page%$limit)==0 ? ($page-$limit)+1 : number_format(floor($page/$limit).'1');
$loop_end = ceil($page/$limit).'0';

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>カテゴリーデータ</title>
<link href="styles_admin.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="menu">
<?php include ("menu.php") ?>
</div>

<div id="main">

<h3>カテゴリーデータ</h3>

<p>保存されたカテゴリーデータのXMLファイルに関する情報です。</p>

保存ディレクトリ：<?php echo $dir ?><br />

<?php if (empty($xml)) { ?>

<p>（データはありません）</p>

<?php } else { ?>

ファイル数：<?php echo $num ?><br />
ファイルサイズ合計：<?php echo number_format($size) ?> byte

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="get">
並べ替え：
<input id="typeA" name="t" type="radio" value="a"<?php echo $type=='a'? ' checked="checked"':'' ?> /><label for="typeA">昇順</label>
<input id="typeD" name="t" type="radio" value="d"<?php echo $type=='d'? ' checked="checked"':'' ?> /><label for="typeD">降順</label>
<select name="s">
<option value="name"<?php echo $sort=='name'? ' selected="selected"':'' ?>>ファイル名</option>
<option value="mtime"<?php echo $sort=='mtime'? ' selected="selected"':'' ?>>最終更新日時</option>
<option value="atime"<?php echo $sort=='atime'? ' selected="selected"':'' ?>>最終アクセス日時</option>
<option value="size"<?php echo $sort=='size'? ' selected="selected"':'' ?>>サイズ</option>
</select>
<input name="p" type="hidden" value="<?php echo $page ?>" />
<input type="submit" value="実行" />
</form>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>?<?php echo $_SERVER['QUERY_STRING'] ?>" method="post">
全てのファイル：
<input name="all" type="radio" value="1" id="on" /><label for="on">チェック</label>
<input name="all" type="radio" value="0" id="off" /><label for="off">解除</label>
<input type="submit" value="実行" />
</form>

<form action="<?php echo $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'] ?>" method="post">
<input name="del" type="hidden" value="1" />
<table border="0" cellspacing="0" cellpadding="3" class="entry_tbl">
<caption>XMLファイル一覧</caption>
<tr>
<th>ファイル名</th>
<th>最終更新日時</th>
<th>最終アクセス日時</th>
<th>サイズ</th>
<th>削除</th>
</tr>
<?php
for ($i=$start; $i<$start+$dsp; $i++) {
	if ($i==$count) break;
?>
<?php
//foreach ($xml as $key=>$info) {
?>
<tr>
<td><a href="http://api.dir.yahoo.co.jp/Category/V1/Category?appid=<?php echo $aid ?>&id=<?php echo str_replace(".xml","",$xml[$i][0]) ?>"><?php echo $xml[$i][0] ?></a></td>
<td><?php echo date("Y-m-d H:i:s", $xml[$i][1]['mtime']) ?></td>
<td><?php echo date("Y-m-d H:i:s", $xml[$i][1]['atime']) ?></td>
<td align="right"><?php echo number_format($xml[$i][1]['size']) ?></td>
<td align="center"><input name="delfiles[]" type="checkbox" value="<?php echo $xml[$i][0] ?>"<?php echo intval($_POST['all'])==1 ? ' checked="checked"':''?> /></td>
</tr>
<?php
}
?>
</table>
<br />
<input type="submit" value="選択したファイルを削除" />
</form>

<?php
//ページング
$str = "%s?t=%s&s=%s&p=%d";
$param = $type;
include("../parts/disp_paging.php");
?>

<?php } ?>

</div>

</body>
</html>
