<?php
function checkForm($data,$config,$entry,$userset) {

	$ref = basename($_SERVER['HTTP_REFERER']);
	$error = NULL;
	
	switch ($ref) {
	
		case "rm_reg.php":
		$dir = "";
		break;
		
		case "edit_data.php":
		$dir = "../";
		break;
	
	}

	//拒否ホストチェック
	if ($config['rjct_host']==1) {
		$fp = fopen($dir.'db/rjct_host.txt', "r");
		$host = gethostbyaddr($_SERVER['REMOTE_ADDR']);
		while (!feof($fp)) {
			$line = fgets($fp);
			if (preg_match("/$line/", $host)) {
				$error = "このホストからは登録できません。";
				include($dir.'parts/error.php');
				exit();
			}
		}
	}
	
	//拒否IPチェック
	if ($config['rjct_ip']==1) {
		$fp = fopen($dir.'rjct_ip.txt', "r");
		$ip = $_SERVER['REMOTE_ADDR'];
		while (!feof($fp)) {
			$line = fgets($fp);
			if (preg_match("/$ip/", $line)) {
				$error = "このIPアドレスからは登録できません。";
				include($dir.'parts/error.php');
				exit();
			}
		}
	}
	
	//拒否フリーメールチェック
	if ($config['rjct_freeml']==1) {
		$fp = file_get_contents($dir.'db/rjct_freeml.txt');
		$mail = explode("@", $data['mail']);
		if (preg_match("/$mail[1]/", $fp)) {
			$error = "登録できないメールアドレスです。";
			include($dir.'parts/error.php');
			exit();
		}
	}
	
	//拒否メールアドレスチェック
	if ($config['rjct_mail']==1) {
		$fp = file_get_contents($dir.'db/rjct_mail.txt');
		$mail = $data['mail'];
		if (preg_match("/$mail/", $fp)) {
			$error = "登録できないメールアドレスです。";
			include($dir.'parts/error.php');
			exit();
		}
	}
	
	//サイト名文字数チェック
	if ($userset['title']==1 AND mb_strlen($data['title'],"UTF-8") > $config['max_title']) {
		$error .= "サイト名が長すぎます。<br />";
	}
	
	//URL形式チェック
	if ($userset['url']==1 AND !preg_match("/^https?:\/\/([-_.!~*\'()a-zA-Z0-9;\/?:\@&=+\$,%#]+)$/", $data['url'])) {
		$error .= "URLの形式が正しくありません。<br />";
	}
	
//	if (!filter_var($data['url'], FILTER_VALIDATE_URL)) {
//		$error .= "URLの形式が正しくありません。<br />";
//	}

	//URLスラッシュ止めチェック
	if ($userset['url']==1 AND $config['entry_file']==0 AND !preg_match("/(.+\/)$/", $data['url'])) {
		$error .= "スラッシュ[/]で終わらないURLは登録できません。<br />";
	}
	
	//二重登録チェック
	if ($entry->numRows() > 0) {
		$error .= "URLの二重登録はできません。<br />";
	}
	
	//説明文文字数チェック
	if ($userset['summary']==1 AND mb_strlen($data['summary'],"UTF-8") > $config['max_summary']) {
		$error .= "サイトの説明が長すぎます。<br />";
	}
	
	//キーワード数チェック
	$tag_cnt = substr_count($data['tag'], ",");
	if ($userset['tag']==1 AND $tag_cnt >= $config['max_tag']) {
		$error .= "キーワードの数が多すぎます。<br />";
	}
	
	//メールアドレス形式チェック
	if ($userset['url']==1 AND !preg_match("/^[a-zA-Z0-9\._-]+@+[a-zA-Z0-9\._-]+\.+[a-zA-Z]{2,4}$/", $data['mail'])) {
		$error .= "メールアドレスの形式が正しくありません。<br />";
	};

//	if (!filter_var($data['mail'], FILTER_VALIDATE_EMAIL)) {
//		$error .= "メールアドレスの形式が正しくありません。<br />";
//	}
	
	//パスワードチェック
	if ($userset['pwd']==1 AND !preg_match("/^[a-zA-Z0-9_@=#\*\$\-\+\?\[\]]{6,}$/", $data['pwd'])) {
		$error .= "パスワードの形式が正しくありません。";
	}

	if (strcasecmp("password", $data['pwd'])==0) {
		$error .= "大文字・小文字を問わず、パスワードに「PASSWORD」を使うことはできません。";
	}	

	//コメント文字数チェック
	if (mb_strlen($data['comment'],"UTF-8") > $config['max_comment']) {
		$error .= "コメントが長すぎます。<br />";
	}

	return $error;

}
?>