<?php

function mkSitemap($config,$ctg_data) {
	
	//基本データ
	$map_name = "../sitemap.xml";
	$loc = "http://".$config['site_url']."/";
	$changefreq = "weekly";
	$top_priority = 0.8;
	$page_priority = 0.5;
	
	//ヘッダ
	$header = '<?xml version="1.0" encoding="UTF-8"?>'."\n";
	$header .= '<urlset'."\n";
	$header .= 'xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"'."\n";
	$header .= 'xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"'."\n";
	$header .= 'xsi:schemaLocation="'."\n";
	$header .= 'http://www.sitemaps.org/schemas/sitemap/0.9 '."\n";
	$header .= 'http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">'."\n";
	
	//フッタ
	$footer = "</urlset>\n";

	//テンプレート
	$url_str = "<url>\n";
	$url_str .= "<loc>$loc%s</loc>\n";
	$url_str .= "<priority>%s</priority>\n";
	$url_str .= "<changefreq>$changefreq</changefreq>\n";
	$url_str .= '<lastmod>'.date("Y-m-d").'T'.date("H:i:sP").'</lastmod>'."\n";
	$url_str .= "</url>\n";
	
	$url = NULL;
	
	//トップページ
	$url .= sprintf($url_str, '', $top_priority);
	
	//新着サイト
	$url .= sprintf($url_str, 'rm_links.php?m=1&amp;s=2&amp;p=1', $page_priority);
	
	//COOLサイト
	$url .= sprintf($url_str, 'rm_links.php?m=2&amp;s=2&amp;p=1', $page_priority);
	
	//相互リンクサイト
	$url .= sprintf($url_str, 'rm_links.php?m=3&amp;s=2&amp;p=1', $page_priority);
	
	//カテゴリーページ
	foreach ($ctg_data->ctg as $item) {
		$url .= sprintf($url_str, 'rm_ctg.php?id='.$item->Id.'&amp;s='.$config['dsp_order'].'&amp;p=1', $page_priority);
	}
	
	//データ書き込み
	$contents = $header.$url.$footer;
	return file_put_contents($map_name, $contents);

}

?>