<?php

function sendMail($type, $config, $data) {
	
	$sign = "---------------------------------------\n";
	$sign .= $config['site_name']." 管理人\n";
	$sign .= $config['site_mail']."\n";
	
	$border = "=============================================================\n";

	switch ($type) {

		//ユーザー：仮登録通知
		case "temp":
		$subject = $config['site_name']."｜仮登録受付のお知らせ";

		$body = "\n";
		$body .= $data['name']."様\n\n";
		$body .= $config['site_name']."をご利用頂きありがとうございます。\n下記サイトの登録申請を受付いたしました。\n\n";
		$body .= $border;
		$body .= '受付日時：'.date("Y-m-d D H:i:s")."\n";
		$body .= 'サイト名：'.$data['title']."\n";
		$body .= 'URL：'.$data['url']."\n";
		$body .= $border."\n";
		$body .= "正式登録までにお時間をいただく場合があります。\n";
		$body .= "また、正式登録できない場合もありますが、ご了承下さい。\n\n";
		$body .= "以上、お知らせいたします。\n\n";
		$body .= $sign;
		break;
		
		//ユーザー：正式登録通知
		case "reg":
		$subject = $config['site_name']."｜登録完了のお知らせ";
		
		$body = "\n";
		$body .= $data['name']."様\n\n";
		$body .= $config['site_name']."をご利用頂きありがとうございます。\n下記サイトを登録いたしました。\n\n";
		$body .= $border;
		$body .= '登録日時：'.date("Y-m-d D H:i:s")."\n";
		$body .= 'サイト名：'.$data['title']."\n";
		$body .= 'URL：'.$data['url']."\n";
		$body .= $border."\n";
		$body .= "登録情報の確認・変更は下記URLにアクセスしてください。\n";
		$body .= "http://".$config['site_url']."/user/user_login.php\n\n";
		$body .= "以上、お知らせいたします。\n\n";
		$body .= $sign;
		break;
		
		//ユーザー：パスワード通知
		case "rmd":
		$subject = $config['site_name']."｜パスワードの通知";
		
		$body = "\n";
		$body .= $data['name']."様\n\n";
		$body .= $config['site_name']."をご利用頂きありがとうございます。\n登録されているサイトのパスワードをお知らせいたします。\n\n";
		$body .= 'パスワード：'.str_rot13($data['pwd'])."\n\n";
		$body .= $sign;
		break;

		//管理人：新規エントリー通知
		case "admin":
		$subject = $config['site_name']."｜新規エントリー";
		if ($data['link']==1) $subject .= "[LINK]";
		
		$body = "\n";
		$body .= "新規エントリーがありました。\n";
		$body .= $border;
		$body .= date("Y-m-d D H:i:s")."\n";
		$body .= $border;
		$body .= '登録者：'.$data['name'];
		$body .= ($data['link']==1)? "【相互リンク希望】\n":"\n";
		$body .= 'メールアドレス：'.$data['mail']."\n";
		$body .= 'サイト名：'.$data['title']."\n";
		$body .= 'URL：'.$data['url']."\n";
		$body .= ($data['link']==1)? 'リンクURL：'.$data['link_url']."\n":"";
		$body .= '説明：'.$data['summary']."\n";
		$body .= 'コメント：'.$data['comment']."\n";
		$body .= $border;
		$body .= $data['ip']."\n";
		$body .= $data['host']."\n";
		$body .= $data['agent']."\n";
		$body .= $border;
		
		$data['mail'] = $config['site_mail'];

		break;

		//管理人：パスワード変更通知
		case "pwd":
		$subject = $config['site_name']."｜パスワード変更通知";
		
		$body = "\n";
		$body .= "管理者パスワードを変更しました。\n";
		$body .= $border;
		$body .= date("Y-m-d D H:i:s")."\n";
		$body .= $border."\n";
		$body .= $border;
		$body .= $data['ip']."\n";
		$body .= $data['host']."\n";
		$body .= $data['agent']."\n";
		$body .= $border;
		break;

	}

	//ini_set("SMTP", "smtp.***.***");
	mb_language("japanese");
	mb_internal_encoding("UTF-8");
	
	$from = mb_encode_mimeheader(mb_convert_encoding($config['site_name'],"JIS","auto")).'<'.$config['site_mail'].'>';
	$to = $data['mail'];
	$subject = mb_convert_encoding($subject,"UTF-8","auto");;
	$body = mb_convert_encoding($body,"UTF-8","auto");
	$header = 'From:'.$from;
	
	if (mb_send_mail($to,$subject,$body,$header)) {
		$status = "OK";
	} else {
		$status = "NG";
	}
	
	return $status;

}

?>