<?php

include_once("config.php");
require_once("function/get_ctg.php");
require_once("function/get_data.php");
require_once("function/get_order.php");

$conn = new dbData('db/'.DB_NAME);
$config = $conn->config;

$id = intval($_GET['id']);
$sort = intval($_GET['s']);
$page = intval($_GET['p']);

$ctg_data = new ctgData($id,$aid,$config['cache']);
$navi = $ctg_data->navi();

$default_id = strtok($config['site_ctg'],"|");

if ($ctg_data->error OR $id<=$default_id) {
	$error = "カテゴリー情報を取得できませんでした。";
	include("parts/error.php");
	exit();
}

$order = getOrder($sort);
$sql = "SELECT * FROM rm_entry WHERE ctg LIKE '%$id%' AND app=1 ORDER BY $order;";
$res = $conn->db->arrayQuery($sql,SQLITE_ASSOC);

//データ表示用パラメータ
require_once("function/get_params.php");

//RSS作成
if (preg_match("/rss/", $_SERVER['QUERY_STRING'])) {

	//基本データ
	$sitename = $ctg_data->space->Title.' '.$page;
	$siteurl = 'http://'.$_SERVER['HTTP_HOST'].str_replace("&amp;rss", "", htmlentities($_SERVER['REQUEST_URI']));
	$sitedesc = $ctg_data->space->Title.'関連ホームページ・ブログの紹介';
	$creator = $config['site_name'];
	
	include("parts/disp_rss.php");
	
	exit();

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="robots" content="INDEX,FOLLOW" />
<title><?php echo $ctg_data->space->Title ?> <?php echo $page ?>｜<?php echo $config['site_name'] ?></title>
<meta name="description" content="<?php echo str_replace("トップ\t","",$ctg_data->space->JPath) ?> 関連ホームページの紹介・リンク集" />
<link href="styles.css" rel="stylesheet" type="text/css" />
<link rel="alternate" type="application/rss+xml" title="<?php echo $ctg_data->space->Title ?> <?php echo $page ?>" href="<?php echo $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'].'&rss' ?>">
</head>

<body>

<div id="contents">

<h1><?php echo $ctg_data->space->Title ?> <?php echo $page ?></h1>

<div class="navi">
<a href="http://<?php echo $config['site_url'] ?>"><?php echo $config['site_name'] ?></a>
<?php
foreach ($navi as $id=>$ctg) {
	if ($id > $default_id) {
?>
&nbsp;&gt;&nbsp;<a href="<?php echo $_SERVER['PHP_SELF'] ?>?id=<?php echo $id ?>&s=<?php echo $sort ?>&p=1"><?php echo $ctg ?></a>
<?php } ?>
<?php } ?>
</div>

<div id="right">

<?php
//フォーム
$param = "id";
$p_value = $id;
include("parts/disp_form.php");
?>

<h3 class="page_title">登録サイト（<?php echo $count ?>）</h3>

<a href="<?php echo $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'].'&rss' ?>"><img src="images/feed.png" alt="RSS/FEED" border="0" /></a>

<?php
//サイト表示
include("parts/disp_site.php");

//ページング
$str = "%s?id=%d&s=%d&p=%d";
$param = $id;
include("parts/disp_paging.php");
?>

<?php if ($config['dsp_ys']==1 AND $page==1) { ?>

<h3>Yahoo!登録サイト（<?php echo $ctg_data->rawData->Sites->Count ?>）</h3>

<?php if ($ctg_data->rawData->Sites->Count==0) { ?>
<blockquote>登録サイトはありません。</blockquote>
<?php } else { ?>
<ol class="site">
<?php foreach ($ctg_data->site as $item) { ?>
<li><a href="<?php echo $item->ClickUrl ?>" class="title"><?php echo $item->Title ?></a>
<?php if ($item->Cool==1) { ?><img src="/images/cool.png" /><?php } ?><br />
<?php echo $item->Summary ?><br />
[<?php echo preg_replace("/([0-9]{4})([0-9]{2})([0-9]{2})/", "$1-$2-$3", $item->Created) ?>]&nbsp;
<span class="url"><?php echo $item->Url ?></span></li>
<?php } ?>
</ol>
<?php } ?>

<?php } ?>

</div>

<div id="left">

<form action="rm_myctg.php" method="post" class="myctg">
<input type="submit" value="マイカテゴリーに追加" class="btn_add" />
<input name="id" type="hidden" value="<?php echo $ctg_data->space->Id ?>" />
<input name="ct" type="hidden" value="<?php echo str_replace("\t",",",$ctg_data->space->JPath) ?>" />
<input name="mode" type="hidden" value="add" />
</form>

<form action="rm_myctg.php" method="post" class="myctg">
<input type="submit" value="マイカテゴリーを見る" class="btn_view" />
<input name="mode" type="hidden" value="view" />
</form>

<ul class="ctg">
サブカテゴリー
<?php foreach ($ctg_data->ctg as $item) { ?>
<li><a href="rm_ctg.php?id=<?php echo $item->Id ?>&s=<?php echo $sort ?>&p=1"><?php echo $item->Title ?></a></li>
<?php } ?>
</ul>

</div>

<br clear="all" />

<div id="footer">
<?php
$footer = file_get_contents("parts/footer.php");
echo "&copy;".date("Y").mb_convert_encoding($footer, "UTF-8", "auto");
?>
</div>

</div>

</body>
</html>
