<?php

include_once("config.php");
require_once("function/get_ctg.php");
require_once("function/get_data.php");
require_once("function/get_order.php");

$conn = new dbData('db/'.DB_NAME);
$config = $conn->config;

$mode = intval($_GET['m']);
$sort = intval($_GET['s']);
$page = intval($_GET['p']);

$id = strtok($config['site_ctg'],"|");

$ctg_data = new ctgData($id,$aid,$config['cache']);

switch ($mode) {

	//新着リスト（7日以内）
	case 1:
	$title = "新着サイト";
	$intro = "最近7日間に登録したサイトです。";
	$span = 60*60*24*7;
	$now = time();
	$select = "date_app>".($now-$span);
	break;

	//COOLサイト
	case 2:
	$title = "COOLサイト";
	$intro = "管理人おすすめのサイトです。";
	$select = "cool=1";
	break;
	
	//相互リンクサイト
	case 3:
	$title = "相互リンクサイト";
	$intro = $config['site_name']."にリンクしていただいているサイトです。";
	$select = "link=1";
	break;

}

$order = getOrder($sort);
$sql = "SELECT * FROM rm_entry WHERE app=1 AND $select ORDER BY $order;";
$res = $conn->db->arrayQuery($sql,SQLITE_ASSOC);

//データ表示用パラメータ
require_once("function/get_params.php");

//RSS作成
if (preg_match("/rss/", $_SERVER['QUERY_STRING'])) {

	//基本データ
	$sitename = $config['site_name'].' '.$title;
	$siteurl = 'http://'.$_SERVER['HTTP_HOST'].str_replace("&amp;rss", "", htmlentities($_SERVER['REQUEST_URI']));
	$sitedesc = $intro;
	$creator = $config['site_name'];
	
	include("parts/disp_rss.php");
	
	exit();

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="robots" content="INDEX,FOLLOW" />
<title><?php echo $title ?>｜<?php echo $config['site_name'] ?></title>
<link href="styles.css" rel="stylesheet" type="text/css" />
<link rel="alternate" type="application/rss+xml" title="<?php echo $title ?> <?php echo $page ?>" href="<?php echo $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'].'&rss' ?>">
</head>

<body>

<div id="contents">

<h1><?php echo $title ?>｜<?php echo $config['site_name'] ?></h1>

<div class="navi">
<a href="http://<?php echo $config['site_url'] ?>"><?php echo $config['site_name'] ?></a>&nbsp;&gt;&nbsp;<?php echo $title ?>
</div>

<div id="right">

<?php
//フォーム
$param = "m";
$p_value = $mode;
include("parts/disp_form.php");
?>

<h3 class="page_title"><?php echo $title ?>（<?php echo $count ?>）</h3>

<a href="<?php echo $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'].'&rss' ?>"><img src="images/feed.png" alt="RSS/FEED" border="0" /></a>

<p><?php echo $intro ?></p>

<?php
//サイト表示
include("parts/disp_site.php");

//ページング
$str = "%s?m=%d&s=%d&p=%d";
$param = $mode;
include("parts/disp_paging.php");
?>

</div>

<div id="left">
<?php include("parts/main_menu.php") ?>
</div>

<br clear="all" />

<div id="footer">
<?php
$footer = file_get_contents("parts/footer.php");
echo "&copy;".date("Y").mb_convert_encoding($footer, "UTF-8", "auto");
?>
</div>

</div>

</body>
</html>
