<?php

session_cache_limiter('private');
session_start();

include_once("config.php");
require_once("function/get_data.php");
require_once("function/stz_data.php");

$conn = new dbData('db/'.DB_NAME);
$config = $conn->config;

$_SESSION['ctginfo'] = array_map("stz", $_POST['myctg']);

if (!$_SESSION['ctginfo']) {
	$error = "登録するカテゴリーにチェックを入れてください。<br />";
	include("parts/error.php");
	exit();
} elseif (count($_SESSION['ctginfo']) > $config['max_ctg']) {
	$error = '登録できるカテゴリー数は'.$config['max_ctg'].'です。<br />';
	include("parts/error.php");
	exit();
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $config['site_name'] ?>｜登録フォーム</title>
<link href="styles.css" rel="stylesheet" type="text/css" />
</head>

<body>
<div id="contents">

<h1><?php echo $config['site_name'] ?>｜登録フォーム</h1>

<div class="navi">
<a href="http://<?php echo $config['site_url'] ?>"><?php echo $config['site_name'] ?></a>&nbsp;&gt;&nbsp;サイトの登録
</div>

<blockquote>

<h3>登録するカテゴリー</h3>

<ol>
<?php foreach ($_SESSION['ctginfo'] as $category) { ?>
<li><?php echo str_replace(",", "&nbsp;&gt;&nbsp;", preg_replace("/^[0-9]+\|/", "", $category)) ?></li>
<?php } ?>
</ol>

<h3>サイトと登録者に関する情報</h3>

<p>*のついた項目以外は記入必須項目です。HTMLタグは使用できません。</p>

<form action="rm_reg_cfm.php" method="post">
<dl>
<dt>サイト名（全角<?php echo $config['max_title'] ?>字まで）</dt>
<dd><input name="title" type="text" size="30" />
</dd>
<dt>URL<?php if($config['entry_file']==0) echo "（スラッシュ[/]で終わるURLのみ登録できます）" ?></dt>
<dd><input name="url" type="text" size="50" />
</dd>
<dt>サイトの説明（全角<?php echo $config['max_summary'] ?>字まで）</dt>
<dd><textarea name="summary" cols="50" rows="3"></textarea>
</dd>
<dt>キーワード*（<?php echo $config['max_tag'] ?>個まで・複数設定する場合は<strong>半角カンマ</strong>[,]で区切ってください）</dt>
<dd><input name="tag" type="text" size="30" /></dd>
<dt>お名前（ペンネーム）</dt>
<dd><input name="name" type="text" /></dd>
<dt>メールアドレス<?php if($config['rjct_freeml']==1) echo "（フリーメールのアドレスは使えません）" ?></dt>
<dd><input name="mail" type="text" size="30" />
</dd>
<dt>パスワード（6文字以上・半角英数字と次の記号のみ使用可 _ @ = # * $ - + ? [ ]）</dt>
<dd><input name="pwd" type="password" />
</dd>
<dt>相互リンク希望
<input name="link" id="yes" type="radio" value="1" />
<label for="yes">する</label>
<input name="link" type="radio" id="no" value="" checked="checked" />
<label for="no">しない</label>
</dt>
<dd>相互リンクを希望される場合は、リンク元を確認できるURLを入力してください。<br />
<input name="link_url" type="text" size="50" />
</dd>
<dt>コメント*（全角<?php echo $config['max_comment'] ?>字まで）</dt>
<dd><textarea name="comment" cols="50" rows="3"></textarea></dd>
</dl>
<input type="submit" value="確認する" />
</form>

</blockquote>

<div id="footer">
<?php
$footer = file_get_contents("parts/footer.php");
echo "&copy;".date("Y").mb_convert_encoding($footer, "UTF-8", "auto");
?>
</div>

</div>
</body>
</html>
