<?php

session_cache_limiter('nocache');
session_start();

if (!$_SESSION['user_login']=="ok" OR !$_SESSION['url']) {
	header('Location:user_login.php');
}

include_once("../config.php");
require_once("../function/get_data.php");
require_once("../function/stz_data.php");
require_once("../function/check_form.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$myinfo = array_map("stz", $_POST);

if (isset($_POST['ctg'])) {
	$myinfo['ctg'] = array_map("stz", array_unique($_POST['ctg']));
}

$sql = "SELECT * FROM rm_useritem;";
$res = $conn->db->query($sql);
$userset = $res->fetch();

$sql = "SELECT * FROM rm_entry WHERE url='$myinfo[url]';";
$entry = $conn->db->query($sql);

$error = checkForm($myinfo,$config,$entry,$userset);

if (isset($error)) {
	include("../parts/error.php");
	exit();
}

$mes = '<span class="error">データが入力されていません。</span>';

$check = '$error = TRUE;';

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $config['site_name'] ?>｜登録内容の確認</title>
<link href="styles_user.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="main">

<div class="title">
登録情報の確認・変更&nbsp;【<a href="user_login.php?status=out">ログアウトはこちらから</a>】
</div>

<blockquote>

<h3>変更の確認</h3>

<form action="edit_data_end.php" method="post">

<table border="0" cellspacing="0" cellpadding="3" class="entry_tbl">

<?php if ($userset['title']==1) { ?>
<tr>
<td align="center" nowrap="nowrap">サイト名</td>
<td>
<?php echo $_POST['title']? $myinfo['title']:$mes.eval($check) ?></td>
</tr>
<?php } ?>

<?php if ($userset['url']==1) { ?>
<tr>
<td align="center" nowrap="nowrap">URL</td>
<td><?php echo $_POST['url']? $myinfo['url']:$mes.eval($check) ?></td>
</tr>
<?php } ?>

<?php if ($userset['ctg']==1) { ?>
<tr>
<td align="center" nowrap="nowrap">カテゴリー</td>
<td>
<ol>
<?php foreach ($myinfo['ctg'] as $category) { ?>
<li><?php echo str_replace(",", "&nbsp;&gt;&nbsp;", preg_replace("/^[0-9]+\|/", "", $category)) ?></li>
<?php } ?>
</ol>
</td>
</tr>
<?php } ?>

<?php if ($userset['summary']==1) { ?>
<tr>
<td align="center" nowrap="nowrap">サイトの説明</td>
<td><?php echo $_POST['summary']? $myinfo['summary']:$mes.eval($check) ?></td>
</tr>
<?php } ?>

<?php if ($userset['tag']==1) { ?>
<tr>
<td align="center" nowrap="nowrap">キーワード</td>
<td><?php echo $_POST['tag']? $myinfo['tag']:"&nbsp;" ?></td>
</tr>
<?php } ?>

<?php if ($userset['name']==1) { ?>
<tr>
<td align="center" nowrap="nowrap">お名前</td>
<td><?php echo $_POST['name']? $myinfo['name']:$mes.eval($check) ?></td>
</tr>
<?php } ?>

<?php if ($userset['mail']==1) { ?>
<tr>
<td align="center" nowrap="nowrap">メールアドレス</td>
<td><?php echo $_POST['mail']? $myinfo['mail']:$mes.eval($check) ?></td>
</tr>
<?php } ?>

<?php if ($userset['pwd']==1) { ?>
<tr>
<td align="center" nowrap="nowrap">パスワード</td>
<td><?php echo $_POST['pwd']? preg_replace("/./", "*", $myinfo['pwd']):$mes.eval($check) ?></td>
</tr>
<?php } ?>

</table>
<br />
<input type="button" value="戻る" onClick="history.back()">
<?php
if (!isset($error)) {
	$_SESSION['myinfo'] = $myinfo;
?>
<input type="submit" value="この内容で登録する" />
<?php } ?>
</form>

</blockquote>

</div>

</body>
</html>
